/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

package sync4j.exchange;

/**
 *
 * @author  Fabio Maggi @ Funambol
 * $Id: DataAccessException.java,v 1.3 2005/01/19 11:37:47 fabius Exp $
 */
public class DataAccessException extends Exception {

    /**
     * Creates a new instance of <code>DataAccessException</code> without detail message.
     */
    public DataAccessException() {

    }

    /**
     * Constructs an instance of <code>DataAccessException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public DataAccessException(String msg) {
        super(msg);
    }

    /**
     * Constructs an instance of <code>DataAccessException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public DataAccessException(String msg, Throwable cause) {
        super(msg, cause);
    }

}