/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package sync4j.exchange.util;



/**
 * @version $Id: SourceUtils.java,v 1.2 2005/04/28 16:47:43 nichele Exp $
 */
public class SourceUtils {


    /**
     * This method is used to replace the String "=\r\n" with the
     * String "\r\n ": This replace is necessary because the are devices that
     * doesn't sent the correct line delimiting for long line.
     *
     * @param content the input content
     * @return the input content with property handling long line
     */
    public static String handleLineDelimiting(String content) {
        return content.replaceAll("=\r\n","\r\n ");
    }
}
